Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 666062

Summary: sci-physics/root: Validate DEPEND on virtual/mysql
Product: Gentoo Linux Reporter: Brian Evans <grknight>
Component: Current packagesAssignee: Guilherme Amadio <amadio>
Status: RESOLVED FIXED    
Severity: normal CC: sci-physics
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 763480    

Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:36:47 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Larry the Git Cow gentoo-dev 2018-12-11 11:19:25 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=12f92836e6f7b30376ef873b021043348e3a459b

commit 12f92836e6f7b30376ef873b021043348e3a459b
Author:     Guilherme Amadio <amadio@gentoo.org>
AuthorDate: 2018-12-10 13:58:30 +0000
Commit:     Guilherme Amadio <amadio@gentoo.org>
CommitDate: 2018-12-11 11:03:58 +0000

    sci-physics/root: depend on dev-db/mysql-connector-c
    
    Closes: https://bugs.gentoo.org/666062
    Package-Manager: Portage-2.3.52, Repoman-2.3.12
    Signed-off-by: Guilherme Amadio <amadio@gentoo.org>

 sci-physics/root/root-6.14.08.ebuild | 2 +-
 sci-physics/root/root-9999.ebuild    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)